Issue 1950 - searching in mails doesn't seem to work
searching in mails doesn't seem to work
Status: VERIFIED NOT_AN_ISSUE
Product: Infrastructure
Classification: Infrastructure
Component: Mailing lists
current
All All
: P3 trivial (vote)
: CEE Danube
Assigned To: Unknown
issues@www
http://tools.openoffice.org/servlets/...
:
: 12303 13343 22867 (view as issue list)
Depends on:
Blocks: 2587
  Show dependency treegraph
 
Reported: 2001-10-19 10:05 UTC by Unknown
Modified: 2006-06-02 13:16 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Unknown 2001-10-19 10:05:43 UTC
Hi, 

I tried to search a mailing list (tools) for a string, but got no 
result although I searched for a string which definetly does exists 
(for the sake of a test). 

Concrete: 

- I go to http://tools.openoffice.org/servlets/SearchList
- enter a string in the field to search for (a string which does exists 
  as an email subject header)
- select 'search subject' 

The search returns nothing, although it should have returned the email 
I picked up the subject header from.

Is this a bug, or do I misunderstand the search tool? 

armin
Comment 1 Unknown 2001-10-22 21:57:07 UTC
Hi Armin,

I was able to search messages by keyword successfully for some lists
in this project, for cvs search was stated as not available, but for
the dev list the search returned no results but also no explanatory
message. In another case all messages were serched except for one
dated in October.
I am looking into this behavior.

Thank you 
Kat
Comment 2 Unknown 2001-10-22 22:47:00 UTC
Internal issue pcn6156 has been entered for tracking.
Comment 3 Martin Hollmichel 2001-11-12 12:49:08 UTC
any updates on this ? It also don't work with SC1.1 on the staging 
box !
Comment 4 Unknown 2002-01-15 18:46:49 UTC
Reassigning all of kat's open issues to support so that I can go through them.
Comment 5 Unknown 2002-01-15 19:30:10 UTC
This is in the queue of our instantiations engineer, but I need to
follow up with him (he is working on the NetBeans upgrade at the moment).
Comment 6 Unknown 2002-01-31 00:02:02 UTC
Cecilia (collab) is talking to Eric (sun) about prioritization.
Comment 7 Unknown 2002-08-21 18:48:29 UTC
I have escalated this issue internally to get some attention to it.  

Eric, since Cecelia is not with collab any further, did you come up
with some prioritization idea that we should know about?  If so,
placing it in the issue here would be great.
Comment 8 Unknown 2002-09-24 18:21:43 UTC
This is slated for the truckee release.
Comment 9 stx123 2002-09-25 17:05:58 UTC
It seems to me, that the warranted functionality doesn't work.
I tried to search for the subject "win2000" on the dev@tools list - it
just doesn't work.
For truckee I would hope to find extended (and working) functionality.
Thanks, Stefan.
Comment 10 Unknown 2002-10-29 23:52:15 UTC
This issue is currently scheduled to be looked at by an engineer when
work on our 2.5 release has been completed.  We are aware that it is
not functioning, however we won't have any updates until that work
begins.  If this need to be a higher priority please let us know.

Comment 11 Unknown 2002-10-30 18:50:51 UTC
There has been much work done on the search funciton within sourcecast
and this may be fixed in the truckee release.  Placed this issue into
our test matrix for this release.  Will update this issue when the
test matrix on truckee 1 is complete.
Comment 12 Unknown 2002-11-04 19:41:06 UTC
Update issue to new format.

Action Plan: Wait for test matrix on truckee to complete.

Timeframe: Update when the QA testplan for searching in truckee is
finished.
Comment 13 stx123 2003-04-23 14:21:32 UTC
*** Issue 13343 has been marked as a duplicate of this issue. ***
Comment 14 Unknown 2003-07-10 04:13:54 UTC
Update: This issue should be corrected as part of the next upgrade. I
have tested the serach functionality on the current release of
SourceCast and it is working as expected.
Action Plan: Marking this issue Resolved Later. We will test this
issue as soon as the staging server is available for the next upgrade.
This issue can be reopened if we find that there are still problems.
Next Update: As soon as staging for the next upgrade is available.
Thanks,
Kristen
Comment 15 Unknown 2004-02-06 19:54:16 UTC
I tested this on the present system and it is working for me.  Someone from OOo 
care to confirm?
Comment 16 stx123 2004-02-09 09:27:09 UTC
In general it works, but there are still problems.
Issue 22867 is an example.
Comment 17 Unknown 2004-02-16 06:08:45 UTC
*** Issue 22867 has been marked as a duplicate of this issue. ***
Comment 18 Unknown 2004-02-16 06:35:07 UTC
Have Tested the Results of the Issue 22867 & have queried the Engineers
Will provide the next update after i receive a response from the engineers

-Mohan

Comment 19 Unknown 2004-03-11 04:47:58 UTC
Still on engineers Queue. Have Queried the Engineers.
Will Update the response of the Engineers as & when i recevied.

-Mohan
Comment 20 Unknown 2004-03-31 12:27:04 UTC
updating whiteboard
Comment 21 Unknown 2004-04-05 06:58:44 UTC
This is considered to be fixed on Danube. Moving this in the resolved later 
queue.

Thanks,
Priya
Comment 22 Unknown 2004-04-05 06:59:02 UTC
moving ...
Comment 23 Unknown 2004-04-29 06:19:30 UTC
*** Issue 12303 has been marked as a duplicate of this issue. ***
Comment 24 Unknown 2004-10-29 02:59:47 UTC
keywording.
Comment 25 Unknown 2005-04-26 18:57:20 UTC
This issue is now resolved in Danube.
However, after the recent re-indexing done on the Openoffice dataset by 
CollabNet engineering, this should also have been resolved by now.

Please confirm.
Comment 26 Unknown 2005-04-26 18:58:47 UTC
Assigning to Stephan to verify if at least partially this issue has been 
resolved.
Comment 27 stx123 2005-04-26 21:47:57 UTC
The issue workflow says that you check a fix on the production site (and staging
if applicable) before you ask us for verification. Next time please provide the
test case you used for verification.
You might want to follow the initial description given in this issue and and see
whether it's fixed. If so please mark the issue as RESOLVED/FIXED.
I tried to verify this issue and the test failed. As this seems to be trial and
error I'm not going to invest time in issue verification without an evidence
from you that the fix has been tested.
I used the URL
http://tools.openoffice.org/servlets/SearchList?listName=dev
and searched for "error" or "build" which resulted in the error:
"Text search not available for this list."
This is still the error as described here and in the duplicate issue 13343 and
issue 22867.
Comment 28 Unknown 2005-04-27 00:11:58 UTC
As I mentioned in my earlier post that this is not fully fixed yet.

I tested  on the list: issues@tools.openoffice.org
Searched for in the "subject" : [tools-issues] [Issue 26986] Build Guides 
confusing.
This resulted in the search ouput entries. So based on that I made the comment 
that it might be partially working on the current 2.6 version to some extent. 
The actual search feature in the mailing list is resolved in CEE 3.x, tested 
on Openoffice data set.

I reopened this issue to verify that. Based on your feedback it does not seem 
to be resolved yet. There is some engineering work to be still done on the 
indexer. I will update the issue after that is complete.
Comment 29 stx123 2005-04-27 10:18:04 UTC
To avoid grief in the future I would once more recommend to use test cases as
close to the initial description as possible.
Comment 30 Unknown 2005-10-18 01:54:09 UTC
According to engineering this should get resolved in Danube-S. Starting 3.x, 
CEE uses domain wide indexes, instead of native (or local indexes).
Comment 31 stx123 2005-10-18 07:27:30 UTC
Then feel free to introduce a target milestone Danube-S, apply it to this issue
and mark the issue as RESOLVED/LATER.
Comment 32 Unknown 2005-11-09 01:17:44 UTC
Resolved in Danube.
Comment 33 Frank Schönheit 2006-06-02 13:16:55 UTC
looks good in OOo staging site
(http://tools.stage.openoffice.org/servlets/SearchList?listName=dev), which is
running Danube.